[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Licensing question

On 05/18/2011 02:15 PM, Elías Alejandro wrote:
> Hi all,
> I want your advices about a package that requires in its new 
> upstream release, as build dependency: libcurl4-openssl-dev
> Previous releases was built with libcurl4-gnutls-dev and packaging
> under GPL-3.
> So, If there any licence issue if it is compiled with libcurl4-openssl-dev
> instead of libcurl4-gnutls-dev and packaging under GPL-3?
> I was reading [1], point 28 but I'm not sure because it isn't directly
> the OpenSSL library.

If you link against code which links against OpenSSL, IANAL, but I think
you also need to have the exception in your own code.

Otherwise, somebody could write a small wrapper library and work around
the OpenSSL licensing issues. Which we can't, sadly.

Luke Faraone;; Debian & Ubuntu Developer; Sugar Labs, Systems
lfaraone on irc.[freenode,oftc].net -- http://luke.faraone.cc
PGP fprint: 5189 2A7D 16D0 49BB 046B DC77 9732 5DD8 F9FD D506

Attachment: signature.asc
Description: OpenPGP digital signature

Reply to: